package com.tmerclub.cloud.payment.allinpay.order.req;

/**
 * 分账规则
 *
 * @author lhd
 */
public class SplitRule {
    /**
     * 相关代收交易的“商户订单号”
     */
    private String bizUserId;
    /**
     * 如果向会员分账，不上送，默认为唯一托管账户集。
     * 如果向平台分账，请填写平台的标准账户集编号（不支持100003-准备金额度账户集）。详细
     */
    private String accountSetNo;
    /**
     * 非必填，一年前的代收订单必须上送，yyyy-MM-dd 精确到天
     */
    private String bizOrderCreateDate;
    /**
     * 金额，单位：分；部分代付时，可以少于或等于托管代收订单金额
     */
    private Long amount;
    /**
     * 手续费
     */
    private Long fee;
    /**
     * 备注，非必填
     */
    private Long remark;

    public String getBizUserId() {
        return bizUserId;
    }

    public void setBizUserId(String bizUserId) {
        this.bizUserId = bizUserId;
    }

    public String getAccountSetNo() {
        return accountSetNo;
    }

    public void setAccountSetNo(String accountSetNo) {
        this.accountSetNo = accountSetNo;
    }

    public String getBizOrderCreateDate() {
        return bizOrderCreateDate;
    }

    public void setBizOrderCreateDate(String bizOrderCreateDate) {
        this.bizOrderCreateDate = bizOrderCreateDate;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Long getFee() {
        return fee;
    }

    public void setFee(Long fee) {
        this.fee = fee;
    }

    public Long getRemark() {
        return remark;
    }

    public void setRemark(Long remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SplitRule{" +
                "bizUserId='" + bizUserId + '\'' +
                ", accountSetNo='" + accountSetNo + '\'' +
                ", bizOrderCreateDate='" + bizOrderCreateDate + '\'' +
                ", amount=" + amount +
                ", fee=" + fee +
                ", remark=" + remark +
                '}';
    }
}
